curl --request PATCH \
--url https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"entity": {
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"birthDate": "2023-12-25",
"identificationDocument": {
"type": "<string>",
"value": "<string>",
"countryCode": "<string>"
},
"address": {
"line1": "Rua das Flores 250",
"city": "Belo Horizonte",
"state": "MG",
"postalCode": "30130-110",
"country": "BRA"
}
},
"addPaymentInstructions": [
{
"rail": "<string>",
"asset": "<string>",
"dictKey": "<string>",
"bankAccount": {}
}
],
"deactivatePaymentInstructionIds": [
"<string>"
]
}
'import requests
url = "https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}"
payload = {
"entity": {
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"birthDate": "2023-12-25",
"identificationDocument": {
"type": "<string>",
"value": "<string>",
"countryCode": "<string>"
},
"address": {
"line1": "Rua das Flores 250",
"city": "Belo Horizonte",
"state": "MG",
"postalCode": "30130-110",
"country": "BRA"
}
},
"addPaymentInstructions": [
{
"rail": "<string>",
"asset": "<string>",
"dictKey": "<string>",
"bankAccount": {}
}
],
"deactivatePaymentInstructionIds": ["<string>"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entity: {
firstName: '<string>',
lastName: '<string>',
businessName: '<string>',
email: 'jsmith@example.com',
birthDate: '2023-12-25',
identificationDocument: {type: '<string>', value: '<string>', countryCode: '<string>'},
address: {
line1: 'Rua das Flores 250',
city: 'Belo Horizonte',
state: 'MG',
postalCode: '30130-110',
country: 'BRA'
}
},
addPaymentInstructions: [{rail: '<string>', asset: '<string>', dictKey: '<string>', bankAccount: {}}],
deactivatePaymentInstructionIds: ['<string>']
})
};
fetch('https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'entity' => [
'firstName' => '<string>',
'lastName' => '<string>',
'businessName' => '<string>',
'email' => 'jsmith@example.com',
'birthDate' => '2023-12-25',
'identificationDocument' => [
'type' => '<string>',
'value' => '<string>',
'countryCode' => '<string>'
],
'address' => [
'line1' => 'Rua das Flores 250',
'city' => 'Belo Horizonte',
'state' => 'MG',
'postalCode' => '30130-110',
'country' => 'BRA'
]
],
'addPaymentInstructions' => [
[
'rail' => '<string>',
'asset' => '<string>',
'dictKey' => '<string>',
'bankAccount' => [
]
]
],
'deactivatePaymentInstructionIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}"
payload := strings.NewReader("{\n \"entity\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"birthDate\": \"2023-12-25\",\n \"identificationDocument\": {\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"countryCode\": \"<string>\"\n },\n \"address\": {\n \"line1\": \"Rua das Flores 250\",\n \"city\": \"Belo Horizonte\",\n \"state\": \"MG\",\n \"postalCode\": \"30130-110\",\n \"country\": \"BRA\"\n }\n },\n \"addPaymentInstructions\": [\n {\n \"rail\": \"<string>\",\n \"asset\": \"<string>\",\n \"dictKey\": \"<string>\",\n \"bankAccount\": {}\n }\n ],\n \"deactivatePaymentInstructionIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entity\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"birthDate\": \"2023-12-25\",\n \"identificationDocument\": {\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"countryCode\": \"<string>\"\n },\n \"address\": {\n \"line1\": \"Rua das Flores 250\",\n \"city\": \"Belo Horizonte\",\n \"state\": \"MG\",\n \"postalCode\": \"30130-110\",\n \"country\": \"BRA\"\n }\n },\n \"addPaymentInstructions\": [\n {\n \"rail\": \"<string>\",\n \"asset\": \"<string>\",\n \"dictKey\": \"<string>\",\n \"bankAccount\": {}\n }\n ],\n \"deactivatePaymentInstructionIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"birthDate\": \"2023-12-25\",\n \"identificationDocument\": {\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"countryCode\": \"<string>\"\n },\n \"address\": {\n \"line1\": \"Rua das Flores 250\",\n \"city\": \"Belo Horizonte\",\n \"state\": \"MG\",\n \"postalCode\": \"30130-110\",\n \"country\": \"BRA\"\n }\n },\n \"addPaymentInstructions\": [\n {\n \"rail\": \"<string>\",\n \"asset\": \"<string>\",\n \"dictKey\": \"<string>\",\n \"bankAccount\": {}\n }\n ],\n \"deactivatePaymentInstructionIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"relationshipType": "SELF_OWNED",
"entity": {
"type": "INDIVIDUAL",
"identificationDocument": {
"type": "<string>",
"value": "<string>",
"countryCode": "<string>"
},
"address": {
"line1": "Rua das Flores 250",
"city": "Belo Horizonte",
"state": "MG",
"postalCode": "30130-110",
"country": "BRA"
},
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"birthDate": "2023-12-25"
},
"beneficiaryId": "<string>",
"status": "ACTIVE",
"paymentInstructions": [
{
"rail": "<string>",
"asset": "<string>",
"paymentInstructionId": "<string>",
"status": "SCREENING",
"dictKeyType": "CPF",
"dictKey": "<string>",
"bankAccount": {},
"createdAt": "2023-11-07T05:31:56Z",
"screenedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Update a beneficiary
curl --request PATCH \
--url https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"entity": {
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"birthDate": "2023-12-25",
"identificationDocument": {
"type": "<string>",
"value": "<string>",
"countryCode": "<string>"
},
"address": {
"line1": "Rua das Flores 250",
"city": "Belo Horizonte",
"state": "MG",
"postalCode": "30130-110",
"country": "BRA"
}
},
"addPaymentInstructions": [
{
"rail": "<string>",
"asset": "<string>",
"dictKey": "<string>",
"bankAccount": {}
}
],
"deactivatePaymentInstructionIds": [
"<string>"
]
}
'import requests
url = "https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}"
payload = {
"entity": {
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"birthDate": "2023-12-25",
"identificationDocument": {
"type": "<string>",
"value": "<string>",
"countryCode": "<string>"
},
"address": {
"line1": "Rua das Flores 250",
"city": "Belo Horizonte",
"state": "MG",
"postalCode": "30130-110",
"country": "BRA"
}
},
"addPaymentInstructions": [
{
"rail": "<string>",
"asset": "<string>",
"dictKey": "<string>",
"bankAccount": {}
}
],
"deactivatePaymentInstructionIds": ["<string>"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entity: {
firstName: '<string>',
lastName: '<string>',
businessName: '<string>',
email: 'jsmith@example.com',
birthDate: '2023-12-25',
identificationDocument: {type: '<string>', value: '<string>', countryCode: '<string>'},
address: {
line1: 'Rua das Flores 250',
city: 'Belo Horizonte',
state: 'MG',
postalCode: '30130-110',
country: 'BRA'
}
},
addPaymentInstructions: [{rail: '<string>', asset: '<string>', dictKey: '<string>', bankAccount: {}}],
deactivatePaymentInstructionIds: ['<string>']
})
};
fetch('https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'entity' => [
'firstName' => '<string>',
'lastName' => '<string>',
'businessName' => '<string>',
'email' => 'jsmith@example.com',
'birthDate' => '2023-12-25',
'identificationDocument' => [
'type' => '<string>',
'value' => '<string>',
'countryCode' => '<string>'
],
'address' => [
'line1' => 'Rua das Flores 250',
'city' => 'Belo Horizonte',
'state' => 'MG',
'postalCode' => '30130-110',
'country' => 'BRA'
]
],
'addPaymentInstructions' => [
[
'rail' => '<string>',
'asset' => '<string>',
'dictKey' => '<string>',
'bankAccount' => [
]
]
],
'deactivatePaymentInstructionIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}"
payload := strings.NewReader("{\n \"entity\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"birthDate\": \"2023-12-25\",\n \"identificationDocument\": {\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"countryCode\": \"<string>\"\n },\n \"address\": {\n \"line1\": \"Rua das Flores 250\",\n \"city\": \"Belo Horizonte\",\n \"state\": \"MG\",\n \"postalCode\": \"30130-110\",\n \"country\": \"BRA\"\n }\n },\n \"addPaymentInstructions\": [\n {\n \"rail\": \"<string>\",\n \"asset\": \"<string>\",\n \"dictKey\": \"<string>\",\n \"bankAccount\": {}\n }\n ],\n \"deactivatePaymentInstructionIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entity\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"birthDate\": \"2023-12-25\",\n \"identificationDocument\": {\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"countryCode\": \"<string>\"\n },\n \"address\": {\n \"line1\": \"Rua das Flores 250\",\n \"city\": \"Belo Horizonte\",\n \"state\": \"MG\",\n \"postalCode\": \"30130-110\",\n \"country\": \"BRA\"\n }\n },\n \"addPaymentInstructions\": [\n {\n \"rail\": \"<string>\",\n \"asset\": \"<string>\",\n \"dictKey\": \"<string>\",\n \"bankAccount\": {}\n }\n ],\n \"deactivatePaymentInstructionIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/beneficiaries/{beneficiaryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity\": {\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"birthDate\": \"2023-12-25\",\n \"identificationDocument\": {\n \"type\": \"<string>\",\n \"value\": \"<string>\",\n \"countryCode\": \"<string>\"\n },\n \"address\": {\n \"line1\": \"Rua das Flores 250\",\n \"city\": \"Belo Horizonte\",\n \"state\": \"MG\",\n \"postalCode\": \"30130-110\",\n \"country\": \"BRA\"\n }\n },\n \"addPaymentInstructions\": [\n {\n \"rail\": \"<string>\",\n \"asset\": \"<string>\",\n \"dictKey\": \"<string>\",\n \"bankAccount\": {}\n }\n ],\n \"deactivatePaymentInstructionIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"relationshipType": "SELF_OWNED",
"entity": {
"type": "INDIVIDUAL",
"identificationDocument": {
"type": "<string>",
"value": "<string>",
"countryCode": "<string>"
},
"address": {
"line1": "Rua das Flores 250",
"city": "Belo Horizonte",
"state": "MG",
"postalCode": "30130-110",
"country": "BRA"
},
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"birthDate": "2023-12-25"
},
"beneficiaryId": "<string>",
"status": "ACTIVE",
"paymentInstructions": [
{
"rail": "<string>",
"asset": "<string>",
"paymentInstructionId": "<string>",
"status": "SCREENING",
"dictKeyType": "CPF",
"dictKey": "<string>",
"bankAccount": {},
"createdAt": "2023-11-07T05:31:56Z",
"screenedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key to prevent duplicate creation or execution.
8 - 128Path Parameters
Body
Atualização parcial. Mudança de dados de identidade (nome, documento, endereço) dispara nova triagem das instruções.
Titularidade da conta de destino. SELF_OWNED: o beneficiário é a mesma pessoa que o remetente (conta própria no Brasil). THIRD_PARTY: o beneficiário é outra pessoa ou empresa. No withdrawal, SELF_OWNED exige senderRelationship = SELF e THIRD_PARTY não aceita SELF.
SELF_OWNED, THIRD_PARTY Partial entity fields to update; identity-sensitive changes may trigger re-screening.
Show child attributes
Show child attributes
Novas chaves Pix. Cada uma passa pela triagem antes de poder receber.
Show child attributes
Show child attributes
Instruções a desativar. O histórico das remessas é preservado.
Response
Beneficiary updated; relevant changes may trigger re-screening
Titularidade da conta de destino. SELF_OWNED: o beneficiário é a mesma pessoa que o remetente (conta própria no Brasil). THIRD_PARTY: o beneficiário é outra pessoa ou empresa. No withdrawal, SELF_OWNED exige senderRelationship = SELF e THIRD_PARTY não aceita SELF.
SELF_OWNED, THIRD_PARTY INDIVIDUAL exige firstName e lastName; BUSINESS exige businessName. Endereço obrigatório para a triagem.
Show child attributes
Show child attributes
Situação do cadastro. Pode receber se ACTIVE e com ao menos uma instrução APPROVED.
ACTIVE, BLOCKED, INACTIVE Ao menos uma instrução APPROVED é necessária para criar um withdrawal para este beneficiário.
Show child attributes
Show child attributes

